Api key provided on integrations tab in Easyflow platform.
Participant check-in
Performs the check-in of a participant for a specific event day. This is an authenticated route. The referenceDate is optional and can be used to inform a custom check-in date and time. If not provided, the current date will be used.
Headers
x-api-keystringrequiredx-api-secretstringrequiredApi Secret provided on integrations tab in Easyflow platform.
Request bodyrequired
Content typeapplication/jsonobject
participantIdstring · uuidrequiredUnique identifier of the participant.
referenceDatestring · date-timeOptional check-in date and time. If not provided, the current date will be used.
eventDayIdstring · uuidOptional unique identifier of the event day.
Responses
200Participant successfully checked in.
Participant successfully checked in.
Content typeapplication/jsonobject
statusCodeintegerdataobject
400If the provided parameter is invalid, the API will return the following error response:
If the provided parameter is invalid, the API will return the following error response:
Content typeapplication/jsonobject
messagestringInvalid param: []
errorstringBad Request
statusCodeinteger400
errorCodestringCode that identifies the error. Present only on some errors.
401If the request is unauthorized, the API will return the following error response:
If the request is unauthorized, the API will return the following error response:
Content typeapplication/jsonobject
messagestringInvalid field
errorstringUnauthorized
statusCodeinteger401
403If the request is forbidden, the API will return the following error response:
If the request is forbidden, the API will return the following error response:
Content typeapplication/jsonobject
messagestringForbidden resource
errorstringForbidden
statusCodeinteger403
500If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.
If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.
Content typeapplication/jsonobject
statusCodeintegerHTTP status code.
messagestringExplanation of the error.